FileControllerGetFileById Method |
GET /File/{id}
Gets the file or folder.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetFileById(
Guid id,
GetEntryOptions options,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetFileById (
id As Guid,
options As GetEntryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ GetFileById(
Guid id,
GetEntryOptions options,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetFileById :
id : Guid *
options : GetEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file. - options
- Type: Dundas.BI.FileSystemGetEntryOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
IActionResultFileData object containing requested information or a status code indicating the reason for a failure.
See Also